//---------------------------------------------------------------------------
#ifndef NymEditDlgsH
#define NymEditDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include "explbtn.hpp"
//---------------------------------------------------------------------------
bool __fastcall EditNymCommands(TForm *Owner, TStrings *nymcmds);
bool __fastcall EditReplyBlocks(TForm *Owner, TStrings *replyblks);
bool __fastcall EditCpkDirectives(TForm *Owner, TStrings *directs);
bool __fastcall EditCpkHeaders(TForm *Owner, TStrings *headers);
bool __fastcall EditRBTemplates(TForm *Owner, TStrings *temps);
bool __fastcall EditNymServers(TForm *Owner, TStrings *Servers);

class TNymEditDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TPanel *Panel2;
  TMemo *Memo1;
  TButton *OkBtn;
  TButton *CancelBtn;
  TButton *BigBtn;
  TPanel *Panel3;
  TPopupMenu *PopupTmpMenu;
  TMenuItem *EditTemplates1;
  TMenuItem *N1;
  TPopupMenu *PopupDirMenu;
  TMenuItem *EditDirectives1;
  TMenuItem *N2;
	TOfficeButton *OfficeButton1;
	TOfficeButton *OfficeButton2;
	TOfficeButton *OfficeButton3;
	TLabel *Label1;
	TPopupMenu *PopupRemMenu;
	TLabel *Label2;
	TPopupMenu *PopupHdrMenu;
	TMenuItem *EditHeaders1;
	TMenuItem *N3;
	TOfficeButton *HeadersBtn;
	TOfficeButton *ToolsBtn;
	TPopupMenu *PopupToolsMenu;
	TMenuItem *rlisttxt1;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall BigBtnClick(TObject *Sender);
  void __fastcall TemplateBtnClick(TObject *Sender);
  void __fastcall DirectBtnClick(TObject *Sender);
  void __fastcall RemailerBtnClick(TObject *Sender);
	
	void __fastcall rlisttxt1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
  virtual __fastcall TNymEditDlg(TComponent* Owner);
  virtual __fastcall TNymEditDlg(TComponent* Owner, int Height=0);
  void __fastcall ShowHint(TObject *Sender);
  void __fastcall PopupRBTempItemOnClick(TObject *Sender);
  void __fastcall PopupMenuItemOnClick(TObject *Sender);
  void __fastcall LoadCpkDirectivesMenu();
  void __fastcall LoadCpkHeadersMenu();
  void __fastcall LoadRBTemplatesMenu();
  void __fastcall LoadRemailersMenu();
};
//---------------------------------------------------------------------------
extern TNymEditDlg *NymEditDlg;
//---------------------------------------------------------------------------
#endif
