#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef SMTPmodsH
#define SMTPmodsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\comctrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include "SmtpProt.hpp"
#include "QuickWins.h"
#include "Msgman.h"
//---------------------------------------------------------------------------
namespace SMTP {
   void __fastcall SendMail(TQuickWin *Owner);
}

class TSMTPmod : public TDataModule
{
__published:	// IDE-managed Components
	TSmtpCli *SMTP;
	TTimer *Timer;
	void __fastcall SMTPSessionConnected(TObject *Sender, WORD Error);
	void __fastcall SMTPProcessHeader(TObject *Sender, TStrings *HdrLines);
	void __fastcall SMTPRequestDone(TObject *Sender, TSmtpRequest RqType,
  	   WORD Error);
	void __fastcall SMTPSessionClosed(TObject *Sender, WORD Error);
	void __fastcall SMTPGetData(TObject *Sender, int LineNum, PChar MsgLine,
	   int MaxLen, bool &More);
	void __fastcall SMTPDisplay(TObject *Sender, AnsiString Msg);
	void __fastcall TimerTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
    TMsgManager *msg;
    TQuickWin *mainwin;
    AnsiString cap,messagekey;
    double BytesSent,BytesTotal;
    TStringList *message,*messages;
    int msgcount,AllTotal,AllSent,lasterror;
    TStrings *display; TProgressBar *progressbar;
    bool canceled,aborted,connecting;
	virtual __fastcall TSMTPmod(TComponent* Owner);
    virtual __fastcall~TSMTPmod();
    void __fastcall SendMail();
    bool __fastcall GetNextMessage();
    bool __fastcall SendNextMessage();
    void __fastcall DISPLAY(AnsiString text);
    void __fastcall Abort(int Error);
    bool __fastcall PrepareAndConnect();
    void __fastcall ExceptionHandler(TObject *Sender, Exception *E);
    void __fastcall SetCaption(AnsiString cap);
    void __fastcall ShowExitInfo();
protected:
    void __fastcall SMTPFileCancelSendItemClick(TObject *Sender);
    void __fastcall OkSentBtnClick(TObject *Sender);

   /*void virtual __fastcall WMSetCaption(TMessage& Msg);
   void virtual __fastcall WMSendComplete(TMessage& Msg);
   // message map
   BEGIN_MESSAGE_MAP
   MESSAGE_HANDLER(WM_SETCAPTION,TMessage,WMSetCaption)
   MESSAGE_HANDLER(WM_SENDCOMPLETE,TMessage,WMSendComplete)
   END_MESSAGE_MAP(TForm)*/
};

//---------------------------------------------------------------------------
extern TSMTPmod *SMTPmod;
//---------------------------------------------------------------------------
#endif
